---
- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist ATM Kernel Modules
  when: 'blacklist_atm == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist Async Transfer Mode(ATM) Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/atm.conf
        name: atm
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/atm.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/atm.conf
        regexp: install\s+atm
        line: install atm /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist CAN Kernel Modules
  when: 'blacklist_can == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist Controller Area Network(CAN) Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/can.conf
        name: can
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/can.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/can.conf
        regexp: install\s+can
        line: install can /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist FireWire Kernel Modules
  when: 'blacklist_firewire == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist FireWire Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/firewire.conf
        name: firewire-core
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/firewire.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/firewire.conf
        regexp: install\s+firewire-core
        line: install firewire-core /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist SCTP Kernel Modules
  when: 'blacklist_sctp == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist Stream Control Transmission Protocol(SCTP) Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/sctp.conf
        name: sctp
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/sctp.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/sctp.conf
        regexp: install\s+sctp
        line: install sctp /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist TIPC Kernel Modules
  when: 'blacklist_tipc == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist Transparent Inter Process Communication(TIPC) Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/tipc.conf
        name: tipc
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/tipc.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/tipc.conf
        regexp: install\s+tipc
        line: install tipc /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist CRAMFS Kernel Modules
  when: 'blacklist_cramfs == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist cramfs Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/cramfs.conf
        name: cramfs
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/cramfs.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/cramfs.conf
        regexp: install\s+cramfs
        line: install cramfs /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist USB Storage Kernel Modules
  when: 'blacklist_usb_storage == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist usb-storage Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/usb-storage.conf
        name: usb-storage
        state: present
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/usb-storage.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/usb-storage.conf
        regexp: install\s+usb-storage
        line: install usb-storage /bin/false

- name: KERNEL_BLACKLIST | RHEL 9 Block to Blacklist Bluetooth Kernel Modules
  when: 'blacklist_bluetooth == "yes"'
  block:
    - name: KERNEL_BLACKLIST | RHEL 9 blacklist Bluetooth Kernel module
      community.general.kernel_blacklist:
        blacklist_file: /etc/modprobe.d/bluetooth.conf
        name: bluetooth
        state: present
      when: 'blacklist_bluetooth == "yes"'
    - name: KERNEL_BLACKLIST | RHEL 9 add install line to /etc/modprobe.d/bluetooth.conf file
      ansible.builtin.lineinfile:
        path: /etc/modprobe.d/bluetooth.conf
        regexp: install\s+bluetooth
        line: install bluetooth /bin/false
